# HERMESv3_GR CHANGELOG

### 3.0.0

* Release date: 2023/05/15
* Changes and new features:
  * Using [NES](https://earth.bsc.es/gitlab/es/nes) library as main Python object to I/O & carry on the emissions during the calculation. ([#68](https://earth.bsc.es/gitlab/es/hermesv3_gr/-/issues/68))
    * This library is included in the HERMESv3_GR software as a source.
  * Custom conservative remapping ([#62](https://earth.bsc.es/gitlab/es/hermesv3_gr/-/issues/62))
  * CDO gridarea dependence removed ([#41](https://earth.bsc.es/gitlab/es/hermesv3_gr/-/issues/41), [#61](https://earth.bsc.es/gitlab/es/hermesv3_gr/-/issues/61))
  * Random MPI freeze error ([#30](https://earth.bsc.es/gitlab/es/hermesv3_gr/-/issues/30))
  * TODO: Shapefile updates ([#44](https://earth.bsc.es/gitlab/es/hermesv3_gr/-/issues/44))
  * TODO: GFAS updates ([#59](https://earth.bsc.es/gitlab/es/hermesv3_gr/-/issues/59))
  * Timezones improvements ([#28](https://earth.bsc.es/gitlab/es/hermesv3_gr/-/issues/28), [#63](https://earth.bsc.es/gitlab/es/hermesv3_gr/-/issues/63))
  * Factor mask to an entire domain([#55](https://earth.bsc.es/gitlab/es/hermesv3_gr/-/issues/55))

### 2.1.3

* Release date: 2022/03/17
* Changes and new features:
  * NEI preproc ([#49](https://earth.bsc.es/gitlab/es/hermesv3_gr/-/issues/49))
  * HEMCO preproc ([#52](https://earth.bsc.es/gitlab/es/hermesv3_gr/-/issues/52))

### 2.1.2

* Release date: 2021/12/17
* Changes and new features:
  * Corrected error while processing GFAS emissions ([#43](https://earth.bsc.es/gitlab/es/hermesv3_gr/-/issues/43))
  * Added new CAMS-GLOB-SHIP_v3.1 preproc emission inventory ([#42](https://earth.bsc.es/gitlab/es/hermesv3_gr/-/issues/42))
  * Added new CAMS-REG-AP_v5.1_Refv22 preproc emission inventory ([#45](https://earth.bsc.es/gitlab/es/hermesv3_gr/-/issues/45))
  * Added new CAMS-GLOB-OCEAN_v3.1 preproc emission inventory ([#48](https://earth.bsc.es/gitlab/es/hermesv3_gr/-/issues/48))

### 2.1.1

* Release date: 2021/07/29
* Changes and new features:
  * Added new Timezones
  * Corrected bug with integer on some grid projection creations

### 2.1.0

* Release date: 2020/03/12
* Changes and new features:
  * Rotated nested grid
  * GFAS hourly working
  * Compression level added to the configuration file
  * Added regional emission inventories (Is mandatory to add `coverage` column with `global` or `regional` in the `cross_table` file)

### 2.0.3

* Release date: 2020/02/07
* Changes and new features:
  * Corrected bug on grid calculation for some versions of numpy.
  * Corrected bug on reading vertical description for point source emission inventories

### 2.0.2

* Release date: 2020/01/14
* Changes and new features:
  * Corrected bug on GFAS as point emissions.

### 2.0.1

* Release date: 2019/12/18
* Changes and new features:
  * Added unrecognized arguments
  * Drop some MPI Barriers
  * Changed vertical description from ";" to ","
  * Solved bug on 2.0.0 on the creation of rotated grids
  * Solved bug on 2.0.0 on the creation of the weight matrix for non-global domains

### 2.0.0

* Release date: 2019/11/20
* Changes and new features:
  * Python 3
  * `first_time` option
  * `erase_auxiliary_files` option
  * Option to return emissions in memory

### 1.0.4

* Release date: 2019/07/19
* Changes and new features:
  * Specified version on timezonefinder to be less than 4.0.0 (not further support to python 2.7.X)
  * Solved bug on some grid creation that makes one cell more sometimes issue [#23](https://earth.bsc.es/gitlab/es/hermesv3_gr/-/issues/23)

### 1.0.3

* Release date: 2019/06/07
* Changes and new features:
  * Solved bug on WRF-Chem unit change
  * Solved issue [#16](https://earth.bsc.es/gitlab/es/hermesv3_gr/-/issues/16)

### 1.0.2

* Release date: 2019/04/30
* Changes and new features:
  * Corrected error on MONARCH rotated NetCDF metadata
  * Regional regular lat-lon domain

### 1.0.1

* Release date: 2019/03/12
* Changes and new features:
  * Temporal gridded profiles (dst resolution)
  * Fixed bug for GFAS point in parallel mode.
  * Daily profiles to Weekly profiles (7 elements).
  * New Daily profiles (365/366) elements (Gridded & CSV)
  * Added checks for the used temporal profiles.
  * Fixed bug on hourly profile
  * Added new preprocs

### 1.0.0

* Release date: 2019/03/01
* Changes and new features:
  * HEMRESv3_GR stable version
  * GFAS emission inventory as point source emission.

### 0.0.0

* Release date: 2018/09/18
* HERMESv3_GR beta version first release
